org.apache.cassandra.utils.progress

## Interface ProgressEventNotifier

All Known Implementing Classes:
  BootStrapper, ExpiredTraceState, ProgressEventNotifierSupport, RepairRunnable, TraceState

    public interface ProgressEventNotifier

Interface for `ProgressEvent` publisher.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addProgressListener(ProgressListener listener)` Register progress listener to this publisher.
`void` `removeProgressListener(ProgressListener listener)` Remove progress listener from this publisher.

### Method Detail

#### addProgressListener

    void addProgressListener(ProgressListener listener)

Register progress listener to this publisher.

Parameters:
  `listener` - listener to register.

#### removeProgressListener

    void removeProgressListener(ProgressListener listener)

Remove progress listener from this publisher.

Parameters:
  `listener` - listener to remove